/*
 *  transactionsDiscRack 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package transactionsDiscRack.spec;

import org.enhydra.dods.exceptions.AssertionDataObjectException;

public interface Disc {
	

	 public String getHandle() throws TransactionsDiscRackException;
	 public String getTitle()  throws TransactionsDiscRackException;
	 public String getArtist() throws TransactionsDiscRackException;
	 public String getGenre()  throws TransactionsDiscRackException;
	 public boolean isLiked()  throws TransactionsDiscRackException;
	 public void setTitle(String title) throws TransactionsDiscRackException;
	 public void setArtist(String artist) throws TransactionsDiscRackException;
	 public void setGenre(String genre) throws TransactionsDiscRackException;
	 public void setOwner(Person owner) throws TransactionsDiscRackException;
	 public void setLiked(boolean isLiked) throws TransactionsDiscRackException;
	 public void save() throws TransactionsDiscRackException, AssertionDataObjectException;
	 public void delete() throws TransactionsDiscRackException, AssertionDataObjectException;
	 public void dbtRelease();
}